Subject: Re: bug#28543: 25.2; erratic keyboard mapping

From: Stefan Kangas <[email-masked]>
Date: Sun, 03 May 2020 03:34:29 +0200

"Tandon, Neil (EC)" <[email-masked]> writes:

> When I start emacs, my keyboard mapping is fine. But after some time, the keyboard mapping spontaneously changes. For example:
>
> -instead of backslash, < appears
>
> -when I type left curly brace, right curly brace or apostrophe, nothing appears
>
> -when I type left curly brace twice, ^^ appears
>
> -when I type right curly brace twice, `` appears
>
> Switching out of Latex mode has no effect. No other windows applications are affected. For example, my keyboard mapping in Notepad works fine. When I restart emacs, the keyboard mapping returns to normal.
>
> I have not been able to pinpoint a precise sequence of events or amount of time leading up to the change of keyboard mapping.

Are you still seeing this?  Can you reproduce the issue while running
emacs -Q?

Thanks in advance.

Best regards,
Stefan Kangas